#!/usr/bin/env python
#coding: utf-8

import re

_hlava=re.compile(ur'(?P<a>Ч(АСТЬ|асть))\s+(?P<b>[1-9]|(I(II?|V|X)?)|V(I{0,3}))$',
                  re.DOTALL | re.UNICODE)
_romania=['I','II','III','IV','V','VI','VII','VIII','X']
_chasti=[u'первая',u'вторая',u'третья',u'четвертая',u'пятая',
         u'шестая',u'седмая',u'восьмая',u'девятая']
def clean(sentence):
    r=_hlava.match(sentence)
    if r:
        num=r.group('b')
        if num.isdigit():
            num=int(num)
        elif num in _romania:
            num=_romania.index(num)+1
        else:
            num='Chuja'
        if 0 < num < 10:
            return r.group('a')+' '+_chasti[num-1]
    return sentence


if __name__ == '__main__':
    print clean(u'Часть II')


        